package org.dromara.erp.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * ERP 订单状态枚举
 * @Author: Antigravity
 */
@Getter
@AllArgsConstructor
public enum ErpOrderStatus {

    CANCELLED(-1, "已撤销"),
    WAIT_AUDIT(0, "待审核"),
    REJECTED(1, "已驳回"),
    WAIT_SIGN(2, "待签批"),
    PRODUCING(3, "生产中"),
    FINISHED(4, "已完成");

    private final Integer code;
    private final String info;

}
